Skip to main content
`Ctrl`+`K`

# skbio.sequence.DNA.matches

DNA.matches(other)

  Find positions that match with another sequence.

  Parameters:
    other str, Sequence, or 1D np.ndarray (np.uint8 or ‘|S1’)

      Sequence to compare to.

  Returns:
    1D np.ndarray (bool)

      Boolean vector where `True` at position `i` indicates a match between the sequences at their positions `i`.

  Raises:
    ValueError

      If the sequences are not the same length.

    TypeError

      If other is a `Sequence` object with a different type than this sequence.

  See also

  `mismatches`

  Examples

      >>> from skbio import Sequence
      >>> s = Sequence('GGUC')
      >>> t = Sequence('GAUU')
      >>> s.matches(t)
      array([ True, False,  True, False], dtype=bool)